LIBMTP_album_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

uint32_t | album_id
char * | name
uint32_t * | tracks
uint32_t | no_tracks
LIBMTP_album_t * | next

## Detailed Description

MTP Album structure

## Field Documentation

uint32_t LIBMTP_album_struct::album_id

Unique playlist ID

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List(), LIBMTP_new_album_t(), and LIBMTP_Update_Album().

char* LIBMTP_album_struct::name

Name of album

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List(), and LIBMTP_Update_Album().

LIBMTP_album_t* LIBMTP_album_struct::next

Next album or NULL if last album

Referenced by LIBMTP_Get_Album_List().

uint32_t LIBMTP_album_struct::no_tracks

The number of tracks in this album

Referenced by LIBMTP_Create_New_Album(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List(), and LIBMTP_Update_Album().

uint32_t* LIBMTP_album_struct::tracks

The tracks in this album

Referenced by LIBMTP_Create_New_Album(), LIBMTP_destroy_album_t(), LIBMTP_Get_Album(), LIBMTP_Get_Album_List(), and LIBMTP_Update_Album().

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-i686/builds/libmtp/src/libmtp.h